Subject: Re: bug#16759: CC Mode modes: mode hooks are called twice.

From: Glenn Morris <[email-masked]>
Date: Wed, 19 Feb 2014 12:29:24 -0500

Alan Mackenzie wrote:

> The cause of this is that there is an invocation of run-mode-hooks
> generated by the macro define-derived-mode as well as an explicit call to
> run-mode-hooks which is not at the end of the mode function.

IIUC, this is because you want to run some C-mode stuff after the hooks.
A simple solution would be to add :after-hook to define-derived-mode.
You already did this for define-minor-mode.
It would be good for symmetry/consistency if nothing else, and seems
pre-approved:

http://lists.gnu.org/archive/html/emacs-devel/2012-02/msg00140.html

:)